Skip to main content
GET
https://api.voxmind.ai
/
plans
curl -X GET https://api.voxmind.ai/plans \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
{
  "results": [
    {
      "id": 1,
      "details": {
        "name": "Starter",
        "monthly_calls_included": 2500,
        "overage_rate_gbp": 0.18
      },
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    {
      "id": 2,
      "details": {
        "name": "Growth",
        "monthly_calls_included": 10000,
        "overage_rate_gbp": 0.14
      },
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ]
}

Overview

Returns all subscription plans available on the Voxmind platform. Plan details include the included call quotas and configuration thresholds. Use this endpoint to dynamically display plan information in your own billing UI or to programmatically check what’s included in a given plan before prompting a user to upgrade.

Query Parameters

filter
string
Filter plans by field values. Example: filter=id=gte:2
sort
string
Sort order. Example: sort=id:asc
per_page
integer
default:"100"
Results per page. Maximum 300.
page
integer
default:"1"
Page number.
curl -X GET https://api.voxmind.ai/plans \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
{
  "results": [
    {
      "id": 1,
      "details": {
        "name": "Starter",
        "monthly_calls_included": 2500,
        "overage_rate_gbp": 0.18
      },
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    {
      "id": 2,
      "details": {
        "name": "Growth",
        "monthly_calls_included": 10000,
        "overage_rate_gbp": 0.14
      },
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ]
}